package com.xdap.self_development.exception;

import lombok.EqualsAndHashCode;
import lombok.Getter;

@Getter
@EqualsAndHashCode(callSuper = true)
public class CommonException extends RuntimeException {
    private final transient Object data;

    public CommonException(String message) {
        super(message);
        this.data = null;
    }

    public CommonException(String message, Object data) {
        super(message);
        this.data = data;
    }
}
